from dagster._core.libraries import DagsterLibraryRegistry

from .asset_defs import (
    load_assets_from_dbt_manifest as load_assets_from_dbt_manifest,
    load_assets_from_dbt_project as load_assets_from_dbt_project,
)
from .asset_selection import DbtManifestAssetSelection as DbtManifestAssetSelection
from .cli import (
    DbtCliOutput as DbtCliOutput,
    DbtCliResource as DbtCliResource,
    dbt_cli_resource as dbt_cli_resource,
)
from .cloud import (
    DbtCloudOutput as DbtCloudOutput,
    DbtCloudResource as DbtCloudResource,
    DbtCloudResourceV2 as DbtCloudResourceV2,
    dbt_cloud_resource as dbt_cloud_resource,
    dbt_cloud_run_op as dbt_cloud_run_op,
    load_assets_from_dbt_cloud_job as load_assets_from_dbt_cloud_job,
)
from .dbt_resource import DbtResource as DbtResource
from .errors import (
    DagsterDbtCliFatalRuntimeError as DagsterDbtCliFatalRuntimeError,
    DagsterDbtCliHandledRuntimeError as DagsterDbtCliHandledRuntimeError,
    DagsterDbtCliOutputsNotFoundError as DagsterDbtCliOutputsNotFoundError,
    DagsterDbtCliRuntimeError as DagsterDbtCliRuntimeError,
    DagsterDbtCliUnexpectedOutputError as DagsterDbtCliUnexpectedOutputError,
    DagsterDbtCloudJobInvariantViolationError as DagsterDbtCloudJobInvariantViolationError,
    DagsterDbtError as DagsterDbtError,
    DagsterDbtRpcUnexpectedPollOutputError as DagsterDbtRpcUnexpectedPollOutputError,
)
from .ops import (
    dbt_build_op as dbt_build_op,
    dbt_compile_op as dbt_compile_op,
    dbt_docs_generate_op as dbt_docs_generate_op,
    dbt_ls_op as dbt_ls_op,
    dbt_run_op as dbt_run_op,
    dbt_seed_op as dbt_seed_op,
    dbt_snapshot_op as dbt_snapshot_op,
    dbt_test_op as dbt_test_op,
)
from .rpc import (
    DbtRpcOutput as DbtRpcOutput,
    DbtRpcResource as DbtRpcResource,
    DbtRpcSyncResource as DbtRpcSyncResource,
    dbt_rpc_resource as dbt_rpc_resource,
    dbt_rpc_sync_resource as dbt_rpc_sync_resource,
    local_dbt_rpc_resource as local_dbt_rpc_resource,
)
from .types import DbtOutput as DbtOutput
from .version import __version__ as __version__

DagsterLibraryRegistry.register("dagster-dbt", __version__)
